Kea: isc::db::MySqlBindingTraits< T > Struct Template Reference

| Kea 3.2.0-git

isc::db::MySqlBindingTraits< T > Struct Template Reference

Trait class for column types supported in MySQL. More...

`#include <mysql_binding.h>`

## Static Public Attributes
static const bool | am_unsigned = false
| Boolean value indicating if the numeric value is unsigned.
static const enum_field_types | column_type = MYSQL_TYPE_BLOB
| Column type represented in MySQL C API.
static const size_t | length = 0
| Length of data in this column.

## Detailed Description

template<typename T>
struct isc::db::MySqlBindingTraits< T >

Trait class for column types supported in MySQL.

This class is used to map C++ types to MySQL column types defined in MySQL C API and their sizes. Specializations of this class provide such mapping. The default is a BLOB type which can be used for various input types.

Definition at line 36 of file mysql_binding.h.

## Member Data Documentation

## ◆ am_unsigned

template<typename T>

const bool isc::db::MySqlBindingTraits< T >::am_unsigned = false
| static

Boolean value indicating if the numeric value is unsigned.

Definition at line 45 of file mysql_binding.h.

## ◆ column_type

template<typename T>

const enum_field_types isc::db::MySqlBindingTraits< T >::column_type = MYSQL_TYPE_BLOB
| static

Column type represented in MySQL C API.

Definition at line 38 of file mysql_binding.h.

Referenced by isc::db::MySqlBinding::createInteger(), isc::db::MySqlBinding::createInteger(), isc::db::MySqlBinding::createString(), isc::db::MySqlBinding::createString(), isc::db::MySqlBinding::createTimestamp(), and isc::db::MySqlBinding::createTimestamp().

## ◆ length

template<typename T>

const size_t isc::db::MySqlBindingTraits< T >::length = 0
| static

Length of data in this column.

The value of 0 is used for variable size columns.

Definition at line 42 of file mysql_binding.h.

Referenced by isc::db::MySqlBinding::createInteger(), isc::db::MySqlBinding::createInteger(), isc::db::MySqlBinding::createTimestamp(), and isc::db::MySqlBinding::createTimestamp().

The documentation for this struct was generated from the following file:

- mysql_binding.h